mia-2dmany2one-nonrigid
Prev | Registration of series of 2D images | Next

### mia-2dmany2one-nonrigid

#### Sysnopis:

`mia-2dmany2one-nonrigid` {-i `string`} {-o `string`} [ `options` ...] [ `Plugin type: 2dimage/fullcost` ...]

#### Description:

This program registers all images of a conscutively numbered set of images to one common user defined reference.

#### Options:

#### File-IO

-i, --in-file=(input, required); string

  input perfusion data set

-o, --out-file=(output, required); string

  file name for registered images, numbering and pattern are deducted from the input data

#### Registration

-O, --optimizer=gsl:opt=gd,step=0.1; stringSTRING

  Optimizer used for minimization

-l, --mg-levels=3; ulong

  multi-resolution levels

-f, --transForm=spline; factory

  transformation type. For supported plug-ins see Plugin type: 2dimage/transform

-r, --ref=-1; int

  reference frame (-1 == use image in the middle)

-k, --skip=0; int

  skip registration of these images at the beginning of the series

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Register the image series given by images 'inputXXXX.png' to reference image 30. Skip two images at the beginning and using mutual information as cost function, and penalize the transformation by divcurl with weight 5. Store the result in 'registeredXXXX.png'.

    mia-2dmany2one-nonrigid   -i input0000.png -o registered%04d.png -k 2 -r 30 image:cost=mi divcurl:weight=5

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-2dgroundtruthreg | Home | mia-2dmyoica-full